### Method

# Aravis Device set_string_feature_value

since: 0.8.0

#### Declaration [src]

    void
    arv_device_set_string_feature_value (
      ArvDevice* device,
      const char* feature,
      const char* value,
      GError** error
    )

#### Description [src]

Set the string feature value.

Available since: 0.8.0

#### Parameters

`feature`

  Type: `const char*`

  Feature name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  New feature value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.